# Uses of Class
com.google.protobuf.Duration

Packages that use Duration
Package
Description
com.google.protobuf

## Uses of Duration in com.google.protobuf

Methods in com.google.protobuf that return Duration
Modifier and Type
Method
Description
`Duration`
Duration.Builder.`build()`
`Duration`
Duration.Builder.`buildPartial()`
`static Duration`
Duration.`getDefaultInstance()`
`Duration`
Duration.Builder.`getDefaultInstanceForType()`
`Duration`
Duration.`getDefaultInstanceForType()`
`static Duration`
Duration.`parseDelimitedFrom(InputStream input)`
`static Duration`
Duration.`parseDelimitedFrom(InputStream input, ExtensionRegistryLite extensionRegistry)`
`static Duration`
Duration.`parseFrom(byte[] data)`
`static Duration`
Duration.`parseFrom(byte[] data, ExtensionRegistryLite extensionRegistry)`
`static Duration`
Duration.`parseFrom(ByteString data)`
`static Duration`
Duration.`parseFrom(ByteString data, ExtensionRegistryLite extensionRegistry)`
`static Duration`
Duration.`parseFrom(CodedInputStream input)`
`static Duration`
Duration.`parseFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)`
`static Duration`
Duration.`parseFrom(InputStream input)`
`static Duration`
Duration.`parseFrom(InputStream input, ExtensionRegistryLite extensionRegistry)`
`static Duration`
Duration.`parseFrom(ByteBuffer data)`
`static Duration`
Duration.`parseFrom(ByteBuffer data, ExtensionRegistryLite extensionRegistry)`
Methods in com.google.protobuf that return types with arguments of type Duration
Modifier and Type
Method
Description
`Parser<Duration>`
Duration.`getParserForType()`
`static Parser<Duration>`
Duration.`parser()`
Methods in com.google.protobuf with parameters of type Duration
Modifier and Type
Method
Description
`Duration.Builder`
Duration.Builder.`mergeFrom(Duration other)`
`static Duration.Builder`
Duration.`newBuilder(Duration prototype)`